﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Avira.MarketingResearch.Model.ViewModels.ImportExport
{
    public class CPFinancialImportViewModel
    {
        public string CompanyName { get; set; }
        public string Currency { get; set; }
        public string Units { get; set; }
        public string Revenues_2018 { get; set; }
        public string Revenues_2017 { get; set; }
        public string Revenues_2016 { get; set; }
        public string DirectCost_2018 { get; set; }
        public string DirectCost_2017 { get; set; }
        public string DirectCost_2016 { get; set; }
        public string CostofProduction_2018 { get; set; }
        public string CostofProduction_2017 { get; set; }
        public string CostofProduction_2016 { get; set; }
        public string CostofSales_2018 { get; set; }
        public string CostofSales_2017 { get; set; }
        public string CostofSales_2016 { get; set; }
        public string ResearchandDevelopmentExpenses_2018 { get; set; }
        public string ResearchandDevelopmentExpenses_2017 { get; set; }
        public string ResearchandDevelopmentExpenses_2016 { get; set; }
        public string SalesandMarketingCost_2018 { get; set; }
        public string SalesandMarketingCost_2017 { get; set; }
        public string SalesandMarketingCost_2016 { get; set; }
        public string SellingandInformationalandAdministrativeExpenses_2018 { get; set; }
        public string SellingandInformationalandAdministrativeExpenses_2017 { get; set; }
        public string SellingandInformationalandAdministrativeExpenses_2016 { get; set; }
        public string Depreciation_2018 { get; set; }
        public string Depreciation_2017 { get; set; }
        public string Depreciation_2016 { get; set; }
        public string Amortization_2018 { get; set; }
        public string Amortization_2017 { get; set; }
        public string Amortization_2016 { get; set; }
        public string DepreciationandAmortization_2018 { get; set; }
        public string DepreciationandAmortization_2017 { get; set; }
        public string DepreciationandAmortization_2016 { get; set; }
        public string InterestExpense_2018 { get; set; }
        public string InterestExpense_2017 { get; set; }
        public string InterestExpense_2016 { get; set; }
        public string TaxExpense_2018 { get; set; }
        public string TaxExpense_2017 { get; set; }
        public string TaxExpense_2016 { get; set; }
        public string ProvisionorBenefitforTaxesonIncome_2018 { get; set; }
        public string ProvisionorBenefitforTaxesonIncome_2017 { get; set; }
        public string ProvisionorBenefitforTaxesonIncome_2016 { get; set; }
        public string IncomefromContinuingOperations_2018 { get; set; }
        public string IncomefromContinuingOperations_2017 { get; set; }
        public string IncomefromContinuingOperations_2016 { get; set; }
        public string NetIncome_2018 { get; set; }
        public string NetIncome_2017 { get; set; }
        public string NetIncome_2016 { get; set; }
        public string DilutedEPS_2018 { get; set; }
        public string DilutedEPS_2017 { get; set; }
        public string DilutedEPS_2016 { get; set; }
        public string WeightedAverageSharesOutstanding_2018 { get; set; }
        public string WeightedAverageSharesOutstanding_2017 { get; set; }
        public string WeightedAverageSharesOutstanding_2016 { get; set; }
        public string LongTermDebt_2018 { get; set; }
        public string LongTermDebt_2017 { get; set; }
        public string LongTermDebt_2016 { get; set; }
        public string ShortTermDebt_2018 { get; set; }
        public string ShortTermDebt_2017 { get; set; }
        public string ShortTermDebt_2016 { get; set; }
        public string ShortTermBorrowings_2018 { get; set; }
        public string ShortTermBorrowings_2017 { get; set; }
        public string ShortTermBorrowings_2016 { get; set; }
        public string CurrentPortionofLongTermDebt_2018 { get; set; }
        public string CurrentPortionofLongTermDebt_2017 { get; set; }
        public string CurrentPortionofLongTermDebt_2016 { get; set; }
        public string CashandCashEquivalents_2018 { get; set; }
        public string CashandCashEquivalents_2017 { get; set; }
        public string CashandCashEquivalents_2016 { get; set; }
        public string ShortTermInvestments_2018 { get; set; }
        public string ShortTermInvestments_2017 { get; set; }
        public string ShortTermInvestments_2016 { get; set; }
        public string MarketableSecurities_2018 { get; set; }
        public string MarketableSecurities_2017 { get; set; }
        public string MarketableSecurities_2016 { get; set; }
        public string MinorityInterest_2018 { get; set; }
        public string MinorityInterest_2017 { get; set; }
        public string MinorityInterest_2016 { get; set; }
        public string NonControllingInterests_2018 { get; set; }
        public string NonControllingInterests_2017 { get; set; }
        public string NonControllingInterests_2016 { get; set; }
        public string LongTermInvestments_2018 { get; set; }
        public string LongTermInvestments_2017 { get; set; }
        public string LongTermInvestments_2016 { get; set; }
        public string NetcashProvidedbyorUsedinOperatingActivities_2018 { get; set; }
        public string NetcashProvidedbyorUsedinOperatingActivities_2017 { get; set; }
        public string NetcashProvidedbyorUsedinOperatingActivities_2016 { get; set; }
        public string NetcashProvidedbyorUsedinInvestingActivities_2018 { get; set; }
        public string NetcashProvidedbyorUsedinInvestingActivities_2017 { get; set; }
        public string NetcashProvidedbyorUsedinInvestingActivities_2016 { get; set; }
        public string NetCashProvidedbyorUsedinFinancingActivities_2018 { get; set; }
        public string NetCashProvidedbyorUsedinFinancingActivities_2017 { get; set; }
        public string NetCashProvidedbyorUsedinFinancingActivities_2016 { get; set; }
        public string PurchasesofPropertyandPlantandEquipment_2018 { get; set; }
        public string PurchasesofPropertyandPlantandEquipment_2017 { get; set; }
        public string PurchasesofPropertyandPlantandEquipment_2016 { get; set; }
        public string PurchaseofFixedAssets_2018 { get; set; }
        public string PurchaseofFixedAssets_2017 { get; set; }
        public string PurchaseofFixedAssets_2016 { get; set; }
        public string PurchasesofShortTermInvestments_2018 { get; set; }
        public string PurchasesofShortTermInvestments_2017 { get; set; }
        public string PurchasesofShortTermInvestments_2016 { get; set; }
        public string PurchasesofLongTermInvestments_2018 { get; set; }
        public string PurchasesofLongTermInvestments_2017 { get; set; }
        public string PurchasesofLongTermInvestments_2016 { get; set; }
        public string TotalCurrentAssets_2018 { get; set; }
        public string TotalCurrentAssets_2017 { get; set; }
        public string TotalCurrentAssets_2016 { get; set; }
        public string Inventories_2018 { get; set; }
        public string Inventories_2017 { get; set; }
        public string Inventories_2016 { get; set; }
        public string AccountsReceivables_2018 { get; set; }
        public string AccountsReceivables_2017 { get; set; }
        public string AccountsReceivables_2016 { get; set; }
        public string TotalCurrentLiabilities_2018 { get; set; }
        public string TotalCurrentLiabilities_2017 { get; set; }
        public string TotalCurrentLiabilities_2016 { get; set; }
        public string PropertyandPlantandEquipment_2018 { get; set; }
        public string PropertyandPlantandEquipment_2017 { get; set; }
        public string PropertyandPlantandEquipment_2016 { get; set; }
        public string OtherFixedAssets_2018 { get; set; }
        public string OtherFixedAssets_2017 { get; set; }
        public string OtherFixedAssets_2016 { get; set; }
        public string OtherTangibleAssets_2018 { get; set; }
        public string OtherTangibleAssets_2017 { get; set; }
        public string OtherTangibleAssets_2016 { get; set; }
        public string IntangibleAssets_2018 { get; set; }
        public string IntangibleAssets_2017 { get; set; }
        public string IntangibleAssets_2016 { get; set; }
        public string Goodwill_2018 { get; set; }
        public string Goodwill_2017 { get; set; }
        public string Goodwill_2016 { get; set; }
        public string OtherNoncurrentLiabilities_2018 { get; set; }
        public string OtherNoncurrentLiabilities_2017 { get; set; }
        public string OtherNoncurrentLiabilities_2016 { get; set; }
        public string TotalshareholdersEquity_2018 { get; set; }
        public string TotalshareholdersEquity_2017 { get; set; }
        public string TotalshareholdersEquity_2016 { get; set; }
        public string RetainedEarnings_2018 { get; set; }
        public string RetainedEarnings_2017 { get; set; }
        public string RetainedEarnings_2016 { get; set; }
        public string AccumulatedIncomeandReserves_2018 { get; set; }
        public string AccumulatedIncomeandReserves_2017 { get; set; }
        public string AccumulatedIncomeandReserves_2016 { get; set; }
        public string AccountsPayable_2018 { get; set; }
        public string AccountsPayable_2017 { get; set; }
        public string AccountsPayable_2016 { get; set; }
        public string PurchasesofFixedAssets_2018 { get; set; }
        public string PurchasesofFixedAssets_2017 { get; set; }
        public string PurchasesofFixedAssets_2016 { get; set; }
        public string EffectiveTaxRate_2018 { get; set; }
        public string EffectiveTaxRate_2017 { get; set; }
        public string EffectiveTaxRate_2016 { get; set; }
        public string TotalPurchases_2018 { get; set; }
        public string TotalPurchases_2017 { get; set; }
        public string TotalPurchases_2016 { get; set; }
        public string IHc_2018 { get; set; }
        public string IHc_2017 { get; set; }
        public string IHc_2016 { get; set; }
        public string EHc_2018 { get; set; }
        public string EHc_2017 { get; set; }
        public string EHc_2016 { get; set; }
        public string TotalReportableSegments_2018 { get; set; }
        public string TotalReportableSegments_2017 { get; set; }
        public string TotalReportableSegments_2016 { get; set; }
        public string UnitedStates_2018 { get; set; }
        public string UnitedStates_2017 { get; set; }
        public string UnitedStates_2016 { get; set; }
        public string DevelopedEurope_a_2018 { get; set; }
        public string DevelopedEurope_a_2017 { get; set; }
        public string DevelopedEurope_a_2016 { get; set; }
        public string DevelopedRestofWorld_b_2018 { get; set; }
        public string DevelopedRestofWorld_b_2017 { get; set; }
        public string DevelopedRestofWorld_b_2016 { get; set; }
        public string EmergingMarkets_c_2018 { get; set; }
        public string EmergingMarkets_c_2017 { get; set; }
        public string EmergingMarkets_c_2016 { get; set; }
        public string TotalGeographicSegments_2018 { get; set; }
        public string TotalGeographicSegments_2017 { get; set; }
        public string TotalGeographicSegments_2016 { get; set; }
        public string ErrorNotes { get; set; }
    }
    public class CPFinancialImportInsertViewModel
    {
        public string TemplateName { get; set; }
        public string ImportFileName { get; set; }
        public string TrendJson { get; set; }
        public Guid UserCreatedById { get; set; }
        public List<CPFinancialImportViewModel> CPFinancialImportViewModel { get; set; }
    }
}
